Package commoble.morered.wires

# Class ColoredCableBlockEntity

java.lang.Object
net.neoforged.neoforge.attachment.AttachmentHolder
net.minecraft.world.level.block.entity.BlockEntity
commoble.morered.wires.WireBlockEntity
commoble.morered.wires.ColoredCableBlockEntity

All Implemented Interfaces:
  `net.neoforged.neoforge.attachment.IAttachmentHolder`, `net.neoforged.neoforge.common.extensions.IBlockEntityExtension`

public class ColoredCableBlockEntity extends WireBlockEntity

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`ColoredCableBlockEntity.SidedPowerSupplier`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.entity.BlockEntity

`net.minecraft.world.level.block.entity.BlockEntity.DataComponentInput`

## Nested classes/interfaces inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`net.neoforged.neoforge.attachment.AttachmentHolder.AsField`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<net.minecraft.core.Direction,ChanneledPowerSupplier>`
`sidedPowerSuppliers`

### Fields inherited from class commoble.morered.wires.WireBlockEntity

`power, POWER`

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`ATTACHMENTS_NBT_KEY`

## Constructor Summary

Constructors
Constructor
Description
`ColoredCableBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`ColoredCableBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`ChanneledPowerSupplier`
`getChanneledPower(net.minecraft.core.Direction side)`

### Methods inherited from class commoble.morered.wires.WireBlockEntity

`getPower, getPower, getUpdatePacket, getUpdateTag, loadAdditional, onDataPacket, saveAdditional, setPower, setPower, setPowerRaw`

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, applyComponents, applyComponentsFromItemStack, applyImplicitComponents, clearRemoved, collectComponents, collectImplicitComponents, components, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, hasLevel, isRemoved, isValidBlockState, loadCustomOnly, loadStatic, loadWithComponents, onlyOpCanSetNbt, parseCustomNameSafe, removeComponentsFromTag, removeData, saveCustomAndMetadata, saveCustomOnly, saveToItem, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setChanged, setComponents, setData, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`deserializeAttachments, getData, getExistingData, hasAttachments, hasData, serializeAttachments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.neoforged.neoforge.attachment.IAttachmentHolder

`getData, getExistingData, hasData, removeData, setData`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockEntityExtension

`getModelData, handleUpdateTag, hasCustomOutlineRendering, invalidateCapabilities, onChunkUnloaded, onLoad, requestModelDataUpdate`

## Field Details

### sidedPowerSuppliers

protected Map<net.minecraft.core.Direction,ChanneledPowerSupplier> sidedPowerSuppliers

## Constructor Details

### ColoredCableBlockEntity

public ColoredCableBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### ColoredCableBlockEntity

public ColoredCableBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### getChanneledPower

public ChanneledPowerSupplier getChanneledPower(net.minecraft.core.Direction side)